zlib DoS (SSA:2004-278-02)
Posted on: 10/04/2004 03:46 PM

New zlib packages are available for Slackware 10.0 and -current to fix a possible denial of service security issue.

More details about this issue may be found in the Common Vulnerabilities and Exposures (CVE) database:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-797

Here are the details from the Slackware 10.0 ChangeLog:
+--------------------------+
patches/packages/zlib-1.2.2-i486-1.tgz: Upgraded to zlib-1.2.2.
This fixes a possible DoS in earlier versions of zlib-1.2.x.
(* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Updated package for Slackware 10.0:
ftp://ftp.slackware.com/pub/slackware/slackware-10.0/patches/packages/zlib-1.2.2-i486-1.tgz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/zlib-1.2.2-i486-1.tgz


MD5 signatures:
+-------------+

Slackware 10.0 package:
dfa40fb5afb988488648fc4b7ef992f0 zlib-1.2.2-i486-1.tgz

Slackware -current package:
011d7257bb879a8159b65b0b06b58bd0 zlib-1.2.2-i486-1.tgz


Installation instructions:
+------------------------+

Upgrade the packages as root:
# upgradepkg zlib-1.2.2-i486-1.tgz


+-----+

Slackware Linux Security Team
http://slackware.com/gpg-key
security@slackware.com


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/zlib_dos_ssa2004_278_02.html)